import{select, csv, scaleLinear, extent, axisLeft, axisBottom, format} from 'd3';

const svg = d3.select('svg');


const height = +svg.attr('height');

const width = +svg.attr('width');
const circleR =8;

const render = data => {
  const xValue = d => d.mpg;
  const yValue = d => d.weight;
  const margin = {top: 25, right: 40, bottom: 25, left: 100};
  const innerWidth = width - margin.left - margin.right;
  const innerHeight = height - margin.top - margin.bottom;
  
  const xScale = scaleLinear()
    .domain(extent(data, xValue))
    .range([0, innerWidth])
    .nice();
  
  const yScale = scaleLinear()
    .domain(extent(data, yValue))
    .range([0, innerHeight])



  
 const g = svg.append('g')
    .attr('transform', `translate(${margin.left}, ${margin.top})`);
  
 const yAxis = axisLeft(yScale)
     .tickSize(-innerWidth);
  
  g.append('g')
    .call(yAxis)
    .selectAll('.domain')
      .remove();
  
  
  
  g.append('g').call(axisBottom(xScale).tickFormat(format(".3r")))

      .attr('transform', `translate(0, ${innerHeight})`);
  
  g.selectAll('circle').data(data)
    .enter().append('circle')
      .attr('cy', d => yScale(yValue(d)))
      .attr('cx', d => xScale(xValue(d)))
      .attr('r', circleR)
      .attr('fill', 'blue');
  
  g.append('text')
      .text('Countries');
};

csv('https://vizhub.com/curran/datasets/auto-mpg.csv')
  .then(data =>{
  
  data.forEach(d => {
  d.mpg = +d.mpg;
     d.sylinders = +d.cylinders;
     d.displacement = +d.displacement;
     d.horsepower = +d.horsepower;
     d.weight = +d.weight;
     d.acceleration = +d.acceleration;
     d.year = +d.year;
  });
  render(data);
});
